# Asterisk Project : Asterisk 13 Application_SendDTMF

Created by wikibot on Aug 08, 2014

# SendDTMF()

### Synopsis

Sends arbitrary DTMF digits

### Description

It will send all digits or terminate if it encounters an error.

### Syntax

    SendDTMF(digits,[timeout_ms,[duration_ms,[channel]]])

##### Arguments

- `digits` - List of digits 0-9,*#,a-d,A-D to send also w for a half second pause, W for a one second pause, and f or F for a flash-hook if the channel supports flash-hook.
- `timeout_ms` - Amount of time to wait in ms between tones. (defaults to .25s)
- `duration_ms` - Duration of each digit
- `channel` - Channel where digits will be played

### See Also

- Asterisk 13 Application_Read

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538